cancel
Showing results for 
Search instead for 
Did you mean: 
Zak
Mission Specialist
Mission Specialist
  • 1,568 Views

EX294K ansible version

Which version of ansible is on the EX294K as of Dec 2022?

Sander's Van Vugt hasn't updated the training vidoes I used three years ago which feature ansible engine 2.8.

Labels (2)
4 Replies
bonnevil
Starfighter Starfighter
Starfighter
  • 1,490 Views

I believe that it depends on which version of the exam you schedule after you purchase the exam.  Sessions using either Ansible 2.8 (RHEL 8.4) or Red Hat Ansible Automation Platform 2.2 (RHEL 9.0 / Ansible Core 2.13) are available, as I understand it.

cyb3rx
Flight Engineer
Flight Engineer
  • 1,139 Views

did you sit for the exam ?

I am not getting it how can we use ansible-automation-platform it does not even have basic modules, do you know anyone who has cleared or preparing for RHCE with ansible-automation-platform?

bonnevil
Starfighter Starfighter
Starfighter
  • 1,120 Views

If you're using ansible-navigator with Red Hat Ansible Automation Platform 2, then a number of Ansible Content Collections with many modules are included in the ee-supported-rhel8 automation execution environment container image that it can use to run playbooks.  If you're just trying to use the Ansible Core 2.13ish ansible-playbook command from RHEL 9, then yeah, the local system just has the modules in the ansible.builtin Ansible Content Collection unless you can get more from other places on the system like rhel-system-roles. 

If you're using Ansible 2.9 or earlier from, say, RHEL 8, then that's before the Ansible Core / Ansible packaging changes upstream and you'd have the old "batteries included" model with a large set of packages pre-installed.

If you were connected to the Internet, in theory you could get more (unsupported) collections from Ansible Galaxy, but I wouldn't expect or count on that for an exam environment.

cyb3rx
Flight Engineer
Flight Engineer
  • 1,108 Views

thanks, now it makes sense to me you have cleared lots of things 

Join the discussion
You must log in to join this conversation.